8 és 9 ng közötti frissítés után: váratlan szimbólum importálása az invalidFactory szög / mag összeállítása közben

szavazat
0

a szögfrissítés futtatása után a következő hibát kapom:

@ Szög / mag összeállítása: modul esm5-ként @angular \ compiler-cli \ src \ ngtsc \ import \ src \ core.js: 90: 19)

Nem frissítettem a @ szög / csatorna @ 9 @ szög / mag @ 9 - erőfeszítést arra, hogy 8-ról 9-re frissítsem, mert voltak egymástól való függőségi problémák.

Amint ez megtörtént, elkezdtem építeni, és megjelent a fenti hiba. Tehát megpróbáltam követni, hogy kijavítsam:

  • visszavonja az összes változást
  • eltávolítás node_modules mappa rm -rf node_modules
  • távolítsa el a package-lock.json fájl
  • npm i
  • npm install @angular/cli -g
  • ng update @angular/cli @angular/core --force
  • ng update --all --force

A hiba továbbra is megjelenik

Segíthet valaki, hogy kitaláljam, mi folyik itt?

Előre is köszönöm

Ez az a hiba, amelyet a postinstall ngcc futtatásakor dobnak el

$ npm i

> my-app@1.3.51 postinstall C:\sites\...\App
> ngcc

Warning: Entry point '@angular/core' contains deep imports into 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/symbol/observable', 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/Subject', 'C:/sites/.../node_modules/ng2-bootstrap-growl/node_modules/rxjs/Observable'. This is probably not a problem, but may cause the compilation of entry points to be out of order.
Compiling @angular/core : fesm2015 as esm2015
Compiling @angular/core : main as umd
Error: Error on worker #2: Error: Importing unexpected symbol ɵɵinvalidFactory while compiling @angular/core
    at Object.validateAndRewriteCoreSymbol (C:
... Stack Trace Continues ...

a következő a szögletes verzióm (frissítés után és a hibát dobó verzió):

Angular CLI: 9.1.7
Node: 10.15.0
OS: win32 x64

Angular: 9.1.9
... animations, common, compiler, compiler-cli, core, forms
... platform-browser, platform-browser-dynamic, platform-server
... router
Ivy Workspace: Yes

Package                           Version
-----------------------------------------------------------
@angular-devkit/architect         0.901.7
@angular-devkit/build-angular     0.901.7
@angular-devkit/build-optimizer   0.901.7
@angular-devkit/build-webpack     0.901.7
@angular-devkit/core              9.1.7
@angular-devkit/schematics        9.1.7
@angular/cdk                      9.2.4
@angular/cli                      9.1.7
@ngtools/webpack                  9.1.7
@schematics/angular               9.1.7
@schematics/update                0.901.7
rxjs                              6.5.5
typescript                        3.9.3
webpack                           4.42.0
A kérdést 25/04/2020 23:13
a forrás felhasználó
Más nyelveken...                            

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more